## ddir 2010.0321+git1685e72

=== Makefile ===
#!/usr/bin/make -f
#
#   Copyright information
#
#	Copyright (C) 2002-2010 Jari Aalto
#
#   License
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program. If not, see <http://www.gnu.org/licenses/>.

ifneq (,)
This makefile requires GNU Make.
endif

PACKAGE		= ddir
DESTDIR		=
prefix		= /usr
exec_prefix	= $(prefix)
man_prefix	= $(prefix)/share
mandir		= $(man_prefix)/man
bindir		= $(exec_prefix)/bin
sharedir	= $(prefix)/share

BINDIR		= $(DESTDIR)$(bindir)
DOCDIR		= $(DESTDIR)$(sharedir)/doc/$(PACKAGE)
LOCALEDIR	= $(DESTDIR)$(sharedir)/locale
SHAREDIR	= $(DESTDIR)$(sharedir)/$(PACKAGE)
LIBDIR		= $(DESTDIR)$(prefix)/lib/$(PACKAGE)
SBINDIR		= $(DESTDIR)$(exec_prefix)/sbin
ETCDIR		= $(DESTDIR)/etc/$(PACKAGE)

# 1 = regular, 5 = conf, 6 = games, 8 = daemons
MANDIR		= $(DESTDIR)$(mandir)
MANDIR1		= $(MANDIR)/man1
MANDIR5		= $(MANDIR)/man5
MANDIR6		= $(MANDIR)/man6
MANDIR8		= $(MANDIR)/man8

TAR		= tar
TAR_OPT_NO	= --exclude='.build'	 \
		  --exclude='.sinst'	 \
		  --exclude='.inst'	 \
		  --exclude='tmp'	 \
		  --exclude='*.bak'	 \
		  --exclude='*[~\#]'	 \
		  --exclude='.\#*'	 \
		  --exclude='CVS'	 \
		  --exclude='.svn'	 \
		  --exclude='.git'	 \
		  --exclude='.bzr'	 \
		  --exclude='*.tar*'	 \
		  --exclude='*.tgz'

INSTALL		= /usr/bin/install
INSTALL_BIN	= $(INSTALL) -m 755
INSTALL_DATA	= $(INSTALL) -m 644
INSTALL_SUID	= $(INSTALL) -m 4755

DIST_DIR	= ../build-area
DATE		= `date +"%Y.%m%d"`
VERSION		= $(DATE)
RELEASE		= $(PACKAGE)-$(VERSION)

BIN		= $(PACKAGE)
PL_SCRIPT	= bin/$(BIN).pl

INSTALL_OBJS_BIN   = $(PL_SCRIPT)
INSTALL_OBJS_DOC   = README COPYING
INSTALL_OBJS_MAN   = bin/*.1

all:
	@echo "Nothing to compile."
	@echo "Try 'make help' or 'make -n DESTDIR= prefix=/usr/local install'"

# Rule: help - display Makefile rules
help:
	grep "^# Rule:" Makefile | sort

# Rule: clean - remove temporary files
clean:
	# clean
	-rm -f *[#~] *.\#* \
	*.x~~ pod*.tmp

	rm -rf tmp

distclean: clean

realclean: clean

dist-git: test doc
	rm -f $(DIST_DIR)/$(RELEASE)*

	git archive --format=tar --prefix=$(RELEASE)/ master | \
	gzip --best > $(DIST_DIR)/$(RELEASE).tar.gz

	chmod 644 $(DIST_DIR)/$(RELEASE).tar.gz

	tar -tvf $(DIST_DIR)/$(RELEASE).tar.gz | sort -k 5
	ls -la $(DIST_DIR)/$(RELEASE).tar.gz

# The "gt" is maintainer's program frontend to Git
# Rule: dist-snap - [maintainer] release snapshot from Git repository
dist-snap: test doc
	@echo gt tar -q -z -p $(PACKAGE) -c -D master

# Rule: dist - [maintainer] release from Git repository
dist: dist-git

dist-ls:
	@ls -1tr $(DIST_DIR)/$(PACKAGE)*

# Rule: dist - [maintainer] list of release files
ls: dist-ls

bin/$(PACKAGE).1: $(PL_SCRIPT)
	$(PERL) $< --help-man > $@
	@-rm -f *.x~~ pod*.tmp

doc/manual/$(PACKAGE).html: $(PL_SCRIPT)
	$(PERL) $< --help-html > $@
	@-rm -f *.x~~ pod*.tmp

doc/manual/$(PACKAGE).txt: $(PL_SCRIPT)
	$(PERL) $< --help > $@
	@-rm -f *.x~~ pod*.tmp

doc/conversion/index.html: doc/conversion/index.txt
	perl -S t2html.pl --Auto-detect --Out --print-url $<

# Rule: man - Generate or update manual page
man: bin/$(PACKAGE).1

html: doc/manual/$(PACKAGE).html

txt: doc/manual/$(PACKAGE).txt

# Rule: doc - Generate or update all documentation
doc: man html txt

# Rule: perl-test - Check program syntax
perl-test:
	# perl-test - Check syntax
	perl -cw $(PL_SCRIPT)
	podchecker $(PL_SCRIPT)

# Rule: test - Run tests
test: perl-test

install-doc:
	# Rule install-doc - Install documentation
	$(INSTALL_BIN) -d $(DOCDIR)

	[ ! "$(INSTALL_OBJS_DOC)" ] || \
		$(INSTALL_DATA) $(INSTALL_OBJS_DOC) $(DOCDIR)

	$(TAR) -C doc $(TAR_OPT_NO) --create --file=- . | \
	$(TAR) -C $(DOCDIR) --extract --file=-

install-man: man
	# install-man - Install manual pages
	$(INSTALL_BIN) -d $(MANDIR1)
	$(INSTALL_DATA) $(INSTALL_OBJS_MAN) $(MANDIR1)

install-bin:
	# install-bin - Install programs
	$(INSTALL_BIN) -d $(BINDIR)
	for f in $(INSTALL_OBJS_BIN); \
	do \
		dest=$$(basename $$f | sed -e 's/\.pl$$//' -e 's/\.py$$//' ); \
		$(INSTALL_BIN) $$f $(BINDIR)/$$dest; \
	done

# Rule: install - Standard install
install: install-bin install-man install-doc

# Rule: install-test - for Maintainer only
install-test:
	rm -rf tmp
	make DESTDIR=`pwd`/tmp prefix=/usr install
	find tmp | sort

.PHONY: clean distclean realclean
.PHONY: install install-bin install-man
.PHONY: all man doc test install-test perl-test
.PHONY: dist dist-git dist-ls ls

# End of file

## ddir 2010.0321%2Bgit1685e72

=== debian/changelog ===
ddir (2010.0321+git1685e72-2) unstable; urgency=low

  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): update to debhelper 8.
    - (Description): Adjust wording. Fix typos (Closes: #615480).
    - (Standards-Version): Update to 3.9.1.
  * debian/source/format
    - Update to format "3.0 (quilt)".
  * debian/rules
    - Remove unnecessary rules handled by dh(1).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 27 Feb 2011 10:37:00 +0200

ddir (2010.0321+git1685e72-1) unstable; urgency=low

  * Initial release (Closes: #573960).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 21 Mar 2010 14:50:24 +0200

=== debian/control ===
Source: ddir
Priority: optional
Section: utils
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=collab-maint/ddir.git
Vcs-Git: git://git.debian.org/git/collab-maint/ddir.git
Homepage: http://freshmeat.net/projects/ddir

Package: ddir
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: display hierarchical directory tree
 Display an indented directory tree using ASCII graphical characters to
 represent the hierarchical structure. The directories to include or
 exclude can be specified with command line options. Ddir is a Perl
 implementation of the tree(1) program.

## ddir 2010.0321+git1685e72

=== debian/watch ===
version=3
# https://savannah.nongnu.org/files/?group=ddir
# NOTE: This project is packaged directly from upstream Git. See
# copyright file for URL to project page.

## ddir 2016.1029+gitce9f8e4

=== Makefile ===
--- 
+++ 
@@ -66,6 +66,7 @@
 INSTALL_BIN	= $(INSTALL) -m 755
 INSTALL_DATA	= $(INSTALL) -m 644
 INSTALL_SUID	= $(INSTALL) -m 4755
+INSTALL_DIR	= $(INSTALL) -m 755 -d
 
 DIST_DIR	= ../build-area
 DATE		= `date +"%Y.%m%d"`
@@ -79,23 +80,38 @@
 INSTALL_OBJS_DOC   = README COPYING
 INSTALL_OBJS_MAN   = bin/*.1
 
-all:
-	@echo "Nothing to compile."
-	@echo "Try 'make help' or 'make -n DESTDIR= prefix=/usr/local install'"
-
-# Rule: help - display Makefile rules
+XARGS		= xargs xargs --no-run-if-empty
+PERL		= perl
+
+# Do not chnage this. This is the location of "local" auto generated
+# files. Fromt here the fle are installed to $(DOCDIR)
+
+docdir = doc/manual
+manpage = bin/$(PACKAGE).1
+
+all: doc
+	# target: all
+	@echo "For more information, see 'make help'"
+
+# Rule: help - Display Makefile rules
 help:
-	grep "^# Rule:" Makefile | sort
+	grep "^[[:space:]]*# Rule:" Makefile | sed 's/^[[:space:]]*//' | sort
 
 # Rule: clean - remove temporary files
 clean:
-	# clean
-	-rm -f *[#~] *.\#* \
-	*.x~~ pod*.tmp
+	# target: clean
+	find .	-name "*[#~]" \
+		-o -name "*.\#*" \
+		-o -name "*.x~~" \
+		-o -name "pod*.tmp" | \
+	$(XARGS) rm -f
 
 	rm -rf tmp
 
 distclean: clean
+	# Rule: distclean - remove everything that can be generated
+	rm -f $(manpage)
+	rm -rf $(docdir)
 
 realclean: clean
 
@@ -115,7 +131,7 @@
 dist-snap: test doc
 	@echo gt tar -q -z -p $(PACKAGE) -c -D master
 
-# Rule: dist - [maintainer] release from Git repository
+# Rule: dist-git - [maintainer] make release archive
 dist: dist-git
 
 dist-ls:
@@ -124,15 +140,22 @@
 # Rule: dist - [maintainer] list of release files
 ls: dist-ls
 
-bin/$(PACKAGE).1: $(PL_SCRIPT)
+docdir:
+	# target: docdir - create documentation output directory
+	$(INSTALL_DIR) $(docdir)
+
+$(manpage): $(PL_SCRIPT)
+	# target: bin/$(PACKAGE).1
 	$(PERL) $< --help-man > $@
 	@-rm -f *.x~~ pod*.tmp
 
 doc/manual/$(PACKAGE).html: $(PL_SCRIPT)
+	# target: doc/manual/$(PACKAGE).html
 	$(PERL) $< --help-html > $@
 	@-rm -f *.x~~ pod*.tmp
 
 doc/manual/$(PACKAGE).txt: $(PL_SCRIPT)
+	# target: doc/manual/$(PACKAGE).txt
 	$(PERL) $< --help > $@
 	@-rm -f *.x~~ pod*.tmp
 
@@ -140,26 +163,30 @@
 	perl -S t2html.pl --Auto-detect --Out --print-url $<
 
 # Rule: man - Generate or update manual page
-man: bin/$(PACKAGE).1
-
-html: doc/manual/$(PACKAGE).html
-
-txt: doc/manual/$(PACKAGE).txt
+man: docdir $(manpage)
+
+# Rule: html - Generate HTML pages
+html: docdir test-pod doc/manual/$(PACKAGE).html
+
+# Rule: txt - Generate TXT pages
+txt: docdir test-pod doc/manual/$(PACKAGE).txt
 
 # Rule: doc - Generate or update all documentation
 doc: man html txt
 
-# Rule: perl-test - Check program syntax
-perl-test:
-	# perl-test - Check syntax
+test-pod:
+	# Rule: pod-test - Check POD syntax
+	podchecker $(PL_SCRIPT)
+
+test-perl:
+	# Rule: perl-test - Check program syntax
 	perl -cw $(PL_SCRIPT)
-	podchecker $(PL_SCRIPT)
-
-# Rule: test - Run tests
-test: perl-test
-
+
+# Rule: test - Run all tests
+test: test-perl test-pod
+
+# Rule: install-doc - Install documentation
 install-doc:
-	# Rule install-doc - Install documentation
 	$(INSTALL_BIN) -d $(DOCDIR)
 
 	[ ! "$(INSTALL_OBJS_DOC)" ] || \
@@ -169,12 +196,12 @@
 	$(TAR) -C $(DOCDIR) --extract --file=-
 
 install-man: man
-	# install-man - Install manual pages
+	# Rule: install-man - Install manual pages
 	$(INSTALL_BIN) -d $(MANDIR1)
 	$(INSTALL_DATA) $(INSTALL_OBJS_MAN) $(MANDIR1)
 
 install-bin:
-	# install-bin - Install programs
+	# Rule: install-bin - Install programs
 	$(INSTALL_BIN) -d $(BINDIR)
 	for f in $(INSTALL_OBJS_BIN); \
 	do \
@@ -182,10 +209,10 @@
 		$(INSTALL_BIN) $$f $(BINDIR)/$$dest; \
 	done
 
-# Rule: install - Standard install
+# Rule: install - Standard install. Use variables like: DESTDIR= prefix=/usr/local
 install: install-bin install-man install-doc
 
-# Rule: install-test - for Maintainer only
+# Rule: install-test - [maintainer] Dry-run install to tmp/ directory
 install-test:
 	rm -rf tmp
 	make DESTDIR=`pwd`/tmp prefix=/usr install

=== debian/changelog ===
ddir (2016.1029+gitce9f8e4-1) unstable; urgency=medium

  * Nre upstream snapshot release.
  * debian/watch
    - Update to Github

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 29 Oct 2016 19:44:39 +0300

ddir (2010.0321+git1685e72-3) unstable; urgency=medium

  * debian/copyright
    - Update to format 1.0.
  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): update to debhelper 9.
    - (Homepage): Update.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 19 Oct 2016 00:13:00 +0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Priority: optional
 Section: utils
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.1
-Vcs-Browser: http://git.debian.org/?p=collab-maint/ddir.git
-Vcs-Git: git://git.debian.org/git/collab-maint/ddir.git
-Homepage: http://freshmeat.net/projects/ddir
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ddir.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/ddir.git
+Homepage: https://github.com/jaalto/project-ddir
 
 Package: ddir
 Architecture: all

=== debian/watch ===
version=3
https://github.com/jaalto/project-ddir/tags .*/(.*)\.tar\.gz

## ddir 2019.0505

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 #   Copyright information
 #
-#	Copyright (C) 2002-2010 Jari Aalto
+#	Copyright (C) 2002-2019 Jari Aalto
 #
 #   License
 #

=== debian/changelog ===
ddir (2019.0505-4) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/gbp.conf: file created.

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Wed, 18 Jan 2023 21:01:56 -0300

ddir (2019.0505-3) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.1 (by Debian Janitor).
  * debian/copyright:
      - Added the list of files.
      - Fixed source url.
      - Updated packaging copyright years.
      - Fixed machine-readable copyright file URI (by Debian Janitor).
  * debian/upstream/metadata:
      - Fixed upstream metadata fields: Repository (by Debian Janitor).
      - Removed obsolete field Name from debian/upstream/metadata (already
        present in machine-readable debian/copyright) (by Debian Janitor).

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Wed, 04 Jan 2023 11:14:06 -0300

ddir (2019.0505-2) unstable; urgency=medium

  * debian/control:
      - Added Multi-Arch option with foreign.
      - Bumped Standards-Version to 4.5.1.
      - Updated DH to level 13.

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Fri, 18 Dec 2020 16:04:14 -0300

ddir (2019.0505-1) unstable; urgency=medium

  * New upstream version 2019.0505. (Closes: #903093).
  * New maintainer. (Closes: #920066).
  * debian/control:
      - Added 'Rules-Requires-Root: no' in source stanza.
      - Bumped Standards-Version to 4.4.1.
      - Changed Vcs-* fields for new repository in salsa.
      - New format to debhelper-compat and updated level to 12.
  * debian/copyright:
      - Added new package maintainer.
      - Added old upstream author.
      - Listed all files.
      - Updated to https address.
      - Updated upstream copyright years.
  * debian/salsa-ci.yml: created to start CI tests for Salsa.
  * debian/tests/control: created to perform trivial tests.
  * debian/upstream/metadata: created.
  * debian/watch: updated.

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Thu, 09 Jan 2020 14:33:46 -0300

=== debian/control ===
Source: ddir
Priority: optional
Section: utils
Maintainer: Paulo Henrique de Lima Santana (phls) <phls@debian.org>
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/ddir
Vcs-Git: https://salsa.debian.org/debian/ddir.git
Homepage: https://github.com/jaalto/project-ddir

Package: ddir
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends}
Description: display hierarchical directory tree
 Display an indented directory tree using ASCII graphical characters to
 represent the hierarchical structure. The directories to include or
 exclude can be specified with command line options. Ddir is a Perl
 implementation of the tree(1) program.

## ddir 2025.0129

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 #   Copyright information
 #
-#	Copyright (C) 2002-2019 Jari Aalto
+#	Copyright (C) 2002-2025 Jari Aalto
 #
 #   License
 #

=== debian/changelog ===
ddir (2025.0129-3) unstable; urgency=medium

  [ Lucas Nussbaum ]
  * This package fails to build with GNUMAKEFLAGS=--shuffle=reverse. This
    patch fixes it. (Closes: #1104429).

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Wed, 21 May 2025 18:39:56 -0300

ddir (2025.0129-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.7.2.

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Wed, 21 May 2025 18:39:40 -0300

ddir (2025.0129-1) unstable; urgency=medium

  * New upstream release 2025.0129.
  * debian/control: bumped Standards-Version to 4.7.0.
  * debian/copyright: updated upstream and package years.

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Wed, 29 Jan 2025 14:38:54 -0300

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = ddir
DOCDIR  = debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/doc

override_dh_auto_install:
	$(MAKE) prefix=/usr \
		DESTDIR=debian/$(PACKAGE) \
		INSTALL_OBJS_DOC="" \
		DOCDIR=$(DOCDIR) \
		install

	# Only manual pages, remove
	rm -rf $(DOCDIR)

%:
	dh  $@

# End of file

=== debian/tests/control ===
Test-Command: ddir

=== debian/watch ===
version=4
https://github.com/jaalto/project-ddir/tags .*/(.*)\.tar\.gz
